Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.soap
Class QueryResponse

    java.lang.Object
      org.exist.soap.QueryResponse

All Implemented Interfaces:
  java.io.Serializable

public class QueryResponse
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`QueryResponse()`
`QueryResponse(QueryResponseCollections collections, int hits, long queryTime)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`QueryResponseCollections` | `getCollections()` Gets the collections value for this QueryResponse.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`int` | `getHits()` Gets the hits value for this QueryResponse.
`long` | `getQueryTime()` Gets the queryTime value for this QueryResponse.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setCollections(QueryResponseCollections collections)` Sets the collections value for this QueryResponse.
`void` | `setHits(int hits)` Sets the hits value for this QueryResponse.
`void` | `setQueryTime(long queryTime)` Sets the queryTime value for this QueryResponse.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryResponse

    public QueryResponse()

### QueryResponse

    public QueryResponse(QueryResponseCollections collections,
                         int hits,
                         long queryTime)

Method Detail

### getCollections

    public QueryResponseCollections getCollections()

  Gets the collections value for this QueryResponse.

  Returns:
    collections

### setCollections

    public void setCollections(QueryResponseCollections collections)

  Sets the collections value for this QueryResponse.

  Parameters:
    `collections` -

### getHits

    public int getHits()

  Gets the hits value for this QueryResponse.

  Returns:
    hits

### setHits

    public void setHits(int hits)

  Sets the hits value for this QueryResponse.

  Parameters:
    `hits` -

### getQueryTime

    public long getQueryTime()

  Gets the queryTime value for this QueryResponse.

  Returns:
    queryTime

### setQueryTime

    public void setQueryTime(long queryTime)

  Sets the queryTime value for this QueryResponse.

  Parameters:
    `queryTime` -

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.